import { jsx as _jsx, jsxs as _jsxs } from "react/jsx-runtime";
import { Text, useInput } from 'ink';
export const BackNavigation = ({ onBack }) => {
    useInput((_, key) => {
        if (key.leftArrow) {
            onBack();
        }
    });
    return (_jsxs(Text, { children: ["Press ", _jsx(Text, { color: "blue", children: "\u2190" }), " to go back"] }));
};
